#!/bin/sh

RF_DEFAULT_VARIANTS="+perl5_8 +assertions -arm_runtime"
RF_MACPORTS_PREFIX=/opt/gcc-mp
. `dirname ${0}`/setup-macports.sh ${RF_MACPORTS_PREFIX}

RF_LLVM_MIN=29
RF_LLVM_MAX=36

case ${RF_XCODE_VERSION} in
5.*)
RF_MACPORTS_COMPILER=configure.compiler=apple-gcc-4.2
;;
esac

if [ "${AFTER_MARVERICKS}" ] ; then
RF_LLVM_MIN=33
fi

sudo sh << EOC
cd ${RF_MACPORTS_PREFIX}/bin
./port selfupdate
./port install cctools +llvm${RF_LLVM_MIN}
./port install gcc43
./port install gcc44
./port install gcc45
./port install gcc46
./port install gcc47
./port install gcc48
./port install gcc49
if ! which gcc-4.2 > /dev/null ; then
./port install apple-gcc42
fi
if ! which llvm-gcc-4.2 > /dev/null ; then
./port install llvm-gcc42
fi

if [ ${RF_LLVM_MIN} -le 29 ] && [ ${RF_LLVM_MAX} -ge 29 ] ; then
./port install clang-2.9
fi
if [ ${RF_LLVM_MIN} -le 30 ] && [ ${RF_LLVM_MAX} -ge 30 ] ; then
./port install clang-3.0
./port install dragonegg-3.0
fi
if [ ${RF_LLVM_MIN} -le 31 ] && [ ${RF_LLVM_MAX} -ge 31 ] ; then
./port install clang-3.1
./port install dragonegg-3.1
fi
if [ ${RF_LLVM_MIN} -le 32 ] && [ ${RF_LLVM_MAX} -ge 32 ] ; then
./port install clang-3.2
./port install dragonegg-3.2
fi
if [ ${RF_LLVM_MIN} -le 33 ] && [ ${RF_LLVM_MAX} -ge 33 ] ; then
./port install clang-3.3
./port install dragonegg-3.3
fi
if [ ${RF_LLVM_MIN} -le 34 ] && [ ${RF_LLVM_MAX} -ge 34 ] ; then
./port install clang-3.4
./port install dragonegg-3.4
fi
if [ ${RF_LLVM_MIN} -le 35 ] && [ ${RF_LLVM_MAX} -ge 35 ] ; then
./port install clang-3.5
fi
if [ ${RF_LLVM_MIN} -le 36 ] && [ ${RF_LLVM_MAX} -ge 36 ] ; then
./port install clang-3.6
fi
EOC
